import type * as React from 'react';

import type { BannerProps } from './Banner'
import Banner from './Banner'
import Carousel from './Carousel'
import PageBanner from './PageBanner'

export type { BannerProps } from './Banner'
export type { CarouselProps } from './Carousel'
export type { PageBannerProps } from './PageBanner'

type CompoundedComponent = React.ForwardRefExoticComponent<
  BannerProps
> & {
  Carousel: typeof Carousel;
  PageBanner: typeof PageBanner;
};

const BitzBanner = Banner as CompoundedComponent;

if (process.env.NODE_ENV !== 'production') {
  BitzBanner.displayName = 'BitzBanner';
}

BitzBanner.Carousel = Carousel;
BitzBanner.PageBanner = PageBanner;

export default BitzBanner;
