import { FC } from "react"
import styles from './index.module.less'
import { useTranslation } from 'next-i18next'

interface BitzCopyrightProps{
    /**
     * 公司名称
     */
    company?:string
    /**
     * 备案号
     */
    ICP?:string
}

const BitzCopyright:FC<BitzCopyrightProps>=({company,ICP})=>{
    const { t } = useTranslation()
    return (<div className={styles.bitzCopyrightBlock}>
        <h6>{t('Web_Copyright', '版权所有')}：{company}</h6>
        <h6>{t('Web_FilingNumber', '备案号')}：{ICP}</h6>
        <h6>Powered by：Bitzsoft</h6>
    </div>)

}

export default BitzCopyright
