import { FC } from "react";
import styles from "./index.module.less";
import Link from "next/link";
import { useTranslation } from 'next-i18next'

interface BitzGoToMessageProps {}

const BitzGoToMessage: FC<BitzGoToMessageProps> = ({}) => {
  const { t } = useTranslation();
  return (
    <div
      className="mt-10 text-center p-10"
      style={{
        backgroundImage:
          "url(http://hj.bitzsoft.com/_nuxt/img/message.0ad7532.jpg)",
        backgroundSize: "cover",
        backgroundPosition: "100%",
      }}
    >
      <h3 className="text-3xl mb-4">{t("Web_Consultation", "咨询华炬")}</h3>
      <Link
        className="cursor-pointer text-base text-red-900"
        href="/contact?msg-container"
      >
        {t("Web_Message", "去留言")}
      </Link>
    </div>
  );
};

export default BitzGoToMessage;
