import { useEffect, useState } from "react";
import Header from "@/components/BitzHeader";
import Footer from "@/components/BitzFooter";
import BitzCopyright from "@/components/BitzCopyright";
import { useTranslation } from 'next-i18next'

export default function Layout({ children }: { children: any }) {
  const { t } = useTranslation()
  const [position,setPosition]=useState<string>('')
  const [height,setHeight]=useState<string>('')
  const scrollChange = () => {
    // 监听滚动条距离顶部距离
    const scrollTop=document.documentElement.scrollTop
    if(scrollTop<=50){
      setPosition('relative')
      setHeight('5rem')
    }else{
      setPosition('fixed')
      setHeight('4rem')
    }
  };

  useEffect(() => {
    // 滚动条滚动时触发
    window.addEventListener("scroll", scrollChange, true);
    scrollChange();
    return () => {
      window.removeEventListener("scroll", scrollChange, false);
    };
  }, []);
  const navData: any = [
    { name: `${t('Web_Home', '首页')}`, key: "/" },
    { name: `${t('Web_AboutHuaju', '关于华炬')}`, key: "about"},
    { name: `${t('Web_HuajuInformation', '华炬资讯')}`, key: "news" },
    { name: `${t('Web_Field', '专业领域')}`, key: "business" },
    { name: `${t('Web_Team', '律师团队')}`, key: "team" },
    { name: `${t('Web_HuajuFayuan', '华炬法苑')}`, key: "intelligence" },
    { name: `${t('Web_Branch', '分支机构')}`, key: "branch" },
    { name:  `${t('Web_Recruit', '招贤纳仕')}`, key: "recruit" },
    { name: `${t('Web_ContactUs', '联系我们')}`, key: "contact" },
  ];

  const company='山西华炬律师事务所'
  const ICP='晋ICP备20006915号'
  return (
    <>
      <Header height={height} position={position} navData={navData} />
      <main style={{marginTop:`${position=='fixed'?'4rem':''}`}}>{children}</main>
      <Footer />
      <BitzCopyright company={company} ICP={ICP}/>
    </>
  );
}
