import { FC } from "react";
import styles from "./index.module.less";
import Link from "next/link";
import { useTranslation } from 'next-i18next'

interface BitzMoreBtnProps {
  /**
   * 按钮名称
   */
  title?: string;
  /**
   * 点击事件
   */
  clickEmit?: () => void;
  /**
   * 跳转链接
   */
  href?: any;
}

const BitzMoreBtn: FC<BitzMoreBtnProps> = ({
  title,
  clickEmit = () => {},
  href=null,
}) => {
  const { t } = useTranslation()
  return (
    <div className={styles.bitzMoreBtnBlock}>

      {
        href&&(<Link href={href}>{title||`${t('System_ViewAll', '查看全部')}`}</Link>)
      }
      {
        !href&&(<div className={styles.btn} onClick={clickEmit}>{title||`${t('System_ViewAll', '查看全部')}`}</div>)
      }
    </div>
  );
};

export default BitzMoreBtn;
