import { FC } from "react";
import Link from "next/link";
import dayjs from "dayjs";
import Styles from "./index.module.less";

export interface BitzNewsCardProps {
  /**
   * 列表数据
   */
  data?: any;
}

const BitzNewsCard: FC<BitzNewsCardProps> = ({data}) => {
  return (
    <Link href={`/news/${data?.id}`} className={Styles.newsCardBlock}>
      <div className={Styles.time}>
        {dayjs(data?.creationTime).format("YYYY-MM-DD")}
      </div>
      <div className={Styles.title}>{data?.item?.name}</div>
      <div className={Styles.more}>more</div>
      <img
        className={Styles.shading}
        src="https://www.huajulaw.com/_nuxt/img/shading1.6f591d0.png"
        alt=""
      />
    </Link>
  );
};

export default BitzNewsCard;
