import { gsap } from "gsap";
import { ReactNode, useEffect, useRef } from "react";
import ScrollTrigger from "gsap/dist/ScrollTrigger";
gsap.registerPlugin(ScrollTrigger);

const BitzSlideDown = ({
  children,
  seletor = ".slideDownContent",
  opt,
}: {
  children?: ReactNode;
  seletor?: string;
  opt?: { [key: string]: any };
}) => {
  const ref = useRef(null);
  useEffect(() => {
    const tl = gsap.context(() => {
      gsap.from(seletor, {
        y: 30,
        delay: 0.6,
        opacity: 0,
        stagger: 0.1,
        scrollTrigger: {
          trigger: seletor,
          toggleActions: "restart pause resume pause",
        },
        ...opt,
      });
    }, ref);
    return () => {
      tl.revert();
    };
  }, []);
  return (
    <div ref={ref}>
      <div className="slideDownContent">{children}</div>
    </div>
  );
};

export default BitzSlideDown;
